import XEUtils from 'xe-utils'

export const objToOneArr = function (obj, pid) {
  let newData = []
  XEUtils.objectEach(obj, (item, index) => {
    console.log(item, index)
    if (XEUtils.isPlainObject(item)) {
      newData.push({ name: index, value: item, obj: obj, pid: pid })
      newData.push.apply(newData, objToOneArr(item, pid + ',' + index))
    } else {
      newData.push({ name: index, value: item, obj: obj, pid: pid })
    }
  })
  return newData
}
