module.exports = {
  root: true,
  'extends': [
    'plugin:vue/essential',
    '@vue/standard'
  ],
  rules: {
    // allow async-await
    'generator-star-spacing': 'off',
    // allow debugger during development
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'vue/no-parsing-error': [2, {
      'x-invalid-end-tag': false
    }],
    'no-undef': 'off',
    'camelcase': 'off',
    'eqeqeq': 'off',
    "no-console":"off",//在这禁止掉console报错检查
    "no-irregular-whitespace":"off"//这禁止掉 空格报错检查
  },
  parserOptions: {
    parser: 'babel-eslint'
  }
}
