import Vue from 'vue'
import App from './App.vue'
import ViewUI1 from 'view-design'
import 'view-design/dist/styles/iview.css'
import JsonViewDraggable from '../packages/index'
import '../packages/json-view-draggable/index.css'

Vue.config.productionTip = false

Vue.use(ViewUI1)
Vue.use(JsonViewDraggable)

new Vue({
  render: h => h(App)
}).$mount('#app')
